import lur from "lur";
declare type Options = {
    key?: string;
};
declare type DataloaderState<T> = {
    loading: boolean;
    reloading: boolean;
    result: T;
};
export declare const initialData: object;
export declare let context: {
    id: number;
    reqs: any[];
    cache: ReturnType<typeof lur>;
};
export declare function getContext(): {
    id: number;
    reqs: any[];
    cache: {
        set(key: unknown, value: unknown): void;
        get(key: unknown): unknown;
        delete(key: unknown): void;
        has(key: unknown): boolean;
        clear(): void;
        serialize(): {
            [k: string]: any;
        };
        readonly keys: unknown[];
        readonly values: unknown[];
        readonly length: number;
    };
};
export declare function configure({ cacheSize }: {
    cacheSize: number;
}): void;
export declare function useDataloader<T>(loader: () => Promise<T>, deps?: any[], options?: Options): DataloaderState<T> & {
    reload: () => void;
};
export {};
